
#include <cvirte.h>    /* Needed if linking in external compiler; harmless otherwise */
#include <userint.h>
#include "easytab.h"
#include "tabdemo.h"
#include "tabprop.h"

int propMenuBar;

int main (int argc, char *argv[])
{
    int panel;
    int mainTabCtrl;
    int hardwarePanel;
    int vxiTabCtrl;
    int pcmciaTabCtrl;
    
    if (InitCVIRTE (0, argv, 0) == 0)    /* Needed if linking in external compiler; harmless otherwise */
        return -1;    /* out of memory */
    
    propMenuBar = LoadMenuBar (0, "tabdemo.uir", PROPBAR);
    
    panel = LoadPanel(0, "tabdemo.uir", PANEL);
    
    mainTabCtrl = EasyTab_ConvertFromCanvas(panel, PANEL_CANVAS);
    EasyTab_LoadPanels(panel, mainTabCtrl, 1, "tabdemo.uir", __CVIUserHInst,
                INFO, 0, HARDWARE, &hardwarePanel, 0);
    
    pcmciaTabCtrl = EasyTab_ConvertFromCanvas(hardwarePanel, HARDWARE_PCMCIA_CANVAS);
    EasyTab_LoadPanels(hardwarePanel, pcmciaTabCtrl, 1, "tabdemo.uir", __CVIUserHInst,
                DAQ500, 0, DAQ700, 0, DAQ1200, 0, 0);
    EasyTab_LoadPanels(hardwarePanel, pcmciaTabCtrl, 2, "tabdemo.uir", __CVIUserHInst,
                DAQAO2, 0, DAQDIO24, 0, DAQER8, 0, 0);
    EasyTab_SetAttribute (hardwarePanel, pcmciaTabCtrl, ATTR_EASY_TAB_STRETCH_TO_FIT, 1);

    vxiTabCtrl = EasyTab_ConvertFromCanvas(hardwarePanel, HARDWARE_VXI_CANVAS);
    EasyTab_LoadPanels(hardwarePanel, vxiTabCtrl, 1, "tabdemo.uir", __CVIUserHInst,
                VXIPC850, 0, VXIPC486, 0, VXICPU030, 0, 0);

    
    DisplayPanel(panel);
    RunUserInterface();

    return 0;
}

int CVICALLBACK QuitCallback (int panel, int control, int event,
        void *callbackData, int eventData1, int eventData2)
{
    if (event == EVENT_COMMIT)
        QuitUserInterface(0);
    return 0;
}

/***************************************************************/

int CVICALLBACK TabCtrlCallback (int panel, int control, int event, void *callbackData, int eventData1, int eventData2)
{
    int selection;
    
    switch (event)
        {
        case EVENT_RIGHT_CLICK:
        case EVENT_RIGHT_DOUBLE_CLICK:
            selection = RunPopupMenu (propMenuBar, PROPBAR_POPUPMENU, panel, eventData1,
                          eventData2, eventData1, eventData2, 2, 2);
                      
            if (selection == PROPBAR_POPUPMENU_PROPERTIES)
                EditTabProperties(panel, control);
            else
            if (selection == PROPBAR_POPUPMENU_EXITDEMO)
                QuitUserInterface(0);
            break;
        }
    return 0;
}


