/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 1996. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  PANEL                           1
#define  PANEL_HELPBTN                   2       /* callback function: HelpCallback */
#define  PANEL_QUITBTN                   3       /* callback function: QuitCallback */
#define  PANEL_DISPLAYEVENTS             4
#define  PANEL_SET_COLOR                 5       /* callback function: AttributeChanged */
#define  PANEL_SET_VALUE                 6       /* callback function: AttributeChanged */
#define  PANEL_SET_DOCMIN                7       /* callback function: AttributeChanged */
#define  PANEL_SET_DOCMAX                8       /* callback function: AttributeChanged */
#define  PANEL_SET_VIEWSIZE              9       /* callback function: AttributeChanged */
#define  PANEL_SET_HEIGHT                10      /* callback function: AttributeChanged */
#define  PANEL_SET_WIDTH                 11      /* callback function: AttributeChanged */
#define  PANEL_SET_VERTICAL              12      /* callback function: AttributeChanged */
#define  PANEL_SET_THUMB                 13      /* callback function: AttributeChanged */
#define  PANEL_EVENTBOX                  14
#define  PANEL_SCROLL1                   15
#define  PANEL_SCROLL2                   16      /* callback function: ScrollBarCallback */
#define  PANEL_DECORATION                17
#define  PANEL_TEXTMSG_2                 18
#define  PANEL_DECORATION_3              19
#define  PANEL_TEXTMSG                   20
#define  PANEL_DECORATION_2              21
#define  PANEL_DECORATION_4              22
#define  PANEL_PICTURE                   23


     /* Menu Bars, Menus, and Menu Items: */

#define  MENUBAR                         1
#define  MENUBAR_FILE                    2
#define  MENUBAR_FILE_EXIT               3       /* callback function: ExitCallback */


     /* Callback Prototypes: */ 

int  CVICALLBACK AttributeChanged(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
void CVICALLBACK ExitCallback(int menubar, int menuItem, void *callbackData, int panel);
int  CVICALLBACK HelpCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK QuitCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK ScrollBarCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
