/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 1996. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  ACTION                          1       /* callback function: ActionPanelCallback */
#define  ACTION_TIMER                    2       /* callback function: ActionTimerCallback */
#define  ACTION_ACTION                   3

#define  PANEL                           2       /* callback function: MainPanelCallback */


     /* Menu Bars, Menus, and Menu Items: */

#define  MAINMENU                        1
#define  MAINMENU_FILE                   2
#define  MAINMENU_FILE_NEW               3       /* callback function: FileNew */
#define  MAINMENU_FILE_OPEN              4       /* callback function: FileOpen */
#define  MAINMENU_FILE_SAVE              5       /* callback function: FileSave */
#define  MAINMENU_FILE_SEPARATOR_3       6
#define  MAINMENU_FILE_PRINT             7       /* callback function: FilePrint */
#define  MAINMENU_FILE_SEPARATOR         8
#define  MAINMENU_FILE_QUIT              9       /* callback function: FileQuit */
#define  MAINMENU_EDIT                   10
#define  MAINMENU_EDIT_UNDO              11      /* callback function: EditUndo */
#define  MAINMENU_EDIT_REDO              12      /* callback function: EditRedo */
#define  MAINMENU_EDIT_SEPARATOR_4       13
#define  MAINMENU_EDIT_CUT               14      /* callback function: EditCut */
#define  MAINMENU_EDIT_COPY              15      /* callback function: EditCopy */
#define  MAINMENU_EDIT_PASTE             16      /* callback function: EditPaste */
#define  MAINMENU_EDIT_SEPARATOR_5       17
#define  MAINMENU_EDIT_FIND              18      /* callback function: EditFind */
#define  MAINMENU_EDIT_REPLACE           19      /* callback function: EditReplace */
#define  MAINMENU_VIEW                   20
#define  MAINMENU_VIEW_TOOLBAR           21      /* callback function: ViewToolbar */
#define  MAINMENU_VIEW_SEPARATOR_2       22
#define  MAINMENU_VIEW_FILEITEMS         23      /* callback function: ViewFileItems */
#define  MAINMENU_VIEW_EDITITEMS         24      /* callback function: ViewEditItems */
#define  MAINMENU_VIEW_FINDITEMS         25      /* callback function: ViewFindItems */
#define  MAINMENU_VIEW_SORTITEMS         26      /* callback function: ViewSortItems */
#define  MAINMENU_VIEW_OTHERITEMS        27      /* callback function: ViewOtherItems */
#define  MAINMENU_VIEW_SEPARATOR_6       28
#define  MAINMENU_VIEW_WATCH             29      /* callback function: ViewWatch */
#define  MAINMENU_SORT                   30
#define  MAINMENU_SORT_BYNAME            31      /* callback function: SortByName */
#define  MAINMENU_SORT_BYTYPE            32      /* callback function: SortByType */
#define  MAINMENU_SORT_BYSIZE            33      /* callback function: SortBySize */
#define  MAINMENU_SORT_BYDATE            34      /* callback function: SortByDate */
#define  MAINMENU_WINDOW                 35
#define  MAINMENU_WINDOW_CASCADE         36      /* callback function: WindowCascade */
#define  MAINMENU_WINDOW_TILE            37      /* callback function: WindowTile */
#define  MAINMENU_HELP                   38      /* callback function: Help */


     /* Callback Prototypes: */ 

int  CVICALLBACK ActionPanelCallback(int panel, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK ActionTimerCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
void CVICALLBACK EditCopy(int menubar, int menuItem, void *callbackData, int panel);
void CVICALLBACK EditCut(int menubar, int menuItem, void *callbackData, int panel);
void CVICALLBACK EditFind(int menubar, int menuItem, void *callbackData, int panel);
void CVICALLBACK EditPaste(int menubar, int menuItem, void *callbackData, int panel);
void CVICALLBACK EditRedo(int menubar, int menuItem, void *callbackData, int panel);
void CVICALLBACK EditReplace(int menubar, int menuItem, void *callbackData, int panel);
void CVICALLBACK EditUndo(int menubar, int menuItem, void *callbackData, int panel);
void CVICALLBACK FileNew(int menubar, int menuItem, void *callbackData, int panel);
void CVICALLBACK FileOpen(int menubar, int menuItem, void *callbackData, int panel);
void CVICALLBACK FilePrint(int menubar, int menuItem, void *callbackData, int panel);
void CVICALLBACK FileQuit(int menubar, int menuItem, void *callbackData, int panel);
void CVICALLBACK FileSave(int menubar, int menuItem, void *callbackData, int panel);
void CVICALLBACK Help(int menubar, int menuItem, void *callbackData, int panel);
int  CVICALLBACK MainPanelCallback(int panel, int event, void *callbackData, int eventData1, int eventData2);
void CVICALLBACK SortByDate(int menubar, int menuItem, void *callbackData, int panel);
void CVICALLBACK SortByName(int menubar, int menuItem, void *callbackData, int panel);
void CVICALLBACK SortBySize(int menubar, int menuItem, void *callbackData, int panel);
void CVICALLBACK SortByType(int menubar, int menuItem, void *callbackData, int panel);
void CVICALLBACK ViewEditItems(int menubar, int menuItem, void *callbackData, int panel);
void CVICALLBACK ViewFileItems(int menubar, int menuItem, void *callbackData, int panel);
void CVICALLBACK ViewFindItems(int menubar, int menuItem, void *callbackData, int panel);
void CVICALLBACK ViewOtherItems(int menubar, int menuItem, void *callbackData, int panel);
void CVICALLBACK ViewSortItems(int menubar, int menuItem, void *callbackData, int panel);
void CVICALLBACK ViewToolbar(int menubar, int menuItem, void *callbackData, int panel);
void CVICALLBACK ViewWatch(int menubar, int menuItem, void *callbackData, int panel);
void CVICALLBACK WindowCascade(int menubar, int menuItem, void *callbackData, int panel);
void CVICALLBACK WindowTile(int menubar, int menuItem, void *callbackData, int panel);


#ifdef __cplusplus
    }
#endif
